Class IdlSettings

This class manages settings concerning IDL, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'IdlSettings::member' rather than
'IdlSettings::instance()->member' or other long sentence like this.

Declaration :

- C++ : class IdlSettings : public UmlSettings
- Java : final class IdlSettings extends UmlSettings

Artifact : IdlSettings

Operation useDefaults

returns TRUE when the created Java objects are initialized
with the default declaration/definition

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

Operation set_UseDefaults

if y is TRUE the future created Java objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

Operation type

returns the IDL type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab

Declaration :

- Uml : static, + type(in s : string) : string
- C++ : public: static QCString type(QCString s)
- Java : public static String type(String s)

Operation set_Type

set the IDL type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Type(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

Operation umlType

reverse of the Type() operation, returns the 'UML' type corresponding
to the IDL type given in argument

Declaration :

- Uml : static, + umlType(in s : string) : string
- C++ : public: static QCString umlType(QCString s)
- Java : public static String umlType(String s)

Operation relationAttributeStereotype

returns the IDL stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(const QCString & s)
- Java : public static String relationAttributeStereotype(String s)

Operation set_RelationAttributeStereotype

set the IDL stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

Operation relationAttributeUmlStereotype

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the IDL one given in argument

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(QCString s)
- Java : public static String relationAttributeUmlStereotype(String s)

Operation classStereotype

returns the IDL stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(QCString s)
- Java : public static String classStereotype(String s)

Operation set_ClassStereotype

set the IDL stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

Operation classUmlStereotype

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the IDL one given in argument

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(QCString s)
- Java : public static String classUmlStereotype(String s)

Operation include

returns the #include or other form specified in the last
'Generation settings' tab for the Idl type given in argument.

Declaration :

- Uml : static, + include(in s : string) : string
- C++ : public: static QCString include(QCString s)
- Java : public static String include(String s)

Operation set_Include

set the #include or other form specified in the last
'Generation settings' tab for the Idl type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Include(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Include(QCString s, QCString v)
- Java : public static void set_Include(String s, String v) throws RuntimeException

Operation rootDir

returns the 'root' directory

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

Operation set_RootDir

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

Operation sourceContent

returns the default source file content

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

Operation set_SourceContent

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

Operation sourceExtension

returns the extension of the files produced by the Idl code generator

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

Operation set_SourceExtension

set the extension of the files produced by the Idl code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

Operation interfaceDecl

returns the default definition of an interface

Declaration :

- Uml : static, + interfaceDecl() : string
- C++ : public: static const QCString & interfaceDecl()
- Java : public static String interfaceDecl()

Operation set_InterfaceDecl

set the default definition of an interface
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_InterfaceDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_InterfaceDecl(QCString v)
- Java : public static void set_InterfaceDecl(String v) throws RuntimeException

Operation valuetypeDecl

returns the default definition of a valuetype

Declaration :

- Uml : static, + valuetypeDecl() : string
- C++ : public: static const QCString & valuetypeDecl()
- Java : public static String valuetypeDecl()

Operation set_ValuetypeDecl

set the default definition of a valuetype
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ValuetypeDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeDecl(QCString v)
- Java : public static void set_ValuetypeDecl(String v) throws RuntimeException

Operation externalClassDecl

returns the default specification for an 'external' class

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

Operation set_ExternalClassDecl

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

Operation structDecl

returns the default definition of a struct

Declaration :

- Uml : static, + structDecl() : string
- C++ : public: static const QCString & structDecl()
- Java : public static String structDecl()

Operation set_StructDecl

set the default definition of a struct
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_StructDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_StructDecl(QCString v)
- Java : public static void set_StructDecl(String v) throws RuntimeException

Operation typedefDecl

returns the default definition of a typedef

Declaration :

- Uml : static, + typedefDecl() : string
- C++ : public: static const QCString & typedefDecl()
- Java : public static String typedefDecl()

Operation set_TypedefDecl

set the default definition of a typedef
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_TypedefDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_TypedefDecl(QCString v)
- Java : public static void set_TypedefDecl(String v) throws RuntimeException

Operation exceptionDecl

returns the default definition of an exception

Declaration :

- Uml : static, + exceptionDecl() : string
- C++ : public: static const QCString & exceptionDecl()
- Java : public static String exceptionDecl()

Operation set_ExceptionDecl

set the default definition of an exception
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ExceptionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExceptionDecl(QCString v)
- Java : public static void set_ExceptionDecl(String v) throws RuntimeException

Operation unionDecl

returns the default definition of an union

Declaration :

- Uml : static, + unionDecl() : string
- C++ : public: static const QCString & unionDecl()
- Java : public static String unionDecl()

Operation set_UnionDecl

set the default definition of an union
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UnionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionDecl(QCString v)
- Java : public static void set_UnionDecl(String v) throws RuntimeException

Operation enumDecl

returns the default definition of an enum

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

Operation set_EnumDecl

set the default definition of an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

Operation attributeDecl

returns the default definition of an attribute depending on the multiplicity

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

Operation set_AttributeDecl

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

Operation valuetypeAttributeDecl

returns the default definition of an attribute
placed in a valuetype depending on the multiplicity

Declaration :

- Uml : static, + valuetypeAttributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & valuetypeAttributeDecl(const char * multiplicity)
- Java : public static String valuetypeAttributeDecl(String multiplicity)

Operation set_ValuetypeAttributeDecl

set the default definition of an attribute
placed in a valuetype
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ValuetypeAttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeAttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_ValuetypeAttributeDecl(String multiplicity, String v) throws RuntimeException

Operation unionItemDecl

returns the default definition of an union item depending on the multiplicity

Declaration :

- Uml : static, + unionItemDecl(in multiplicity : str) : string
- C++ : public: static const QCString & unionItemDecl(const char * multiplicity)
- Java : public static String unionItemDecl(String multiplicity)

Operation set_UnionItemDecl

set the default definition of an union item
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UnionItemDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionItemDecl(const char * multiplicity, QCString v)
- Java : public static void set_UnionItemDecl(String multiplicity, String v) throws RuntimeException

Operation enumItemDecl

returns the default definition of an enumeration item

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

Operation set_EnumItemDecl

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

Operation constDecl

returns the default definition of a constant attribute depending on the multiplicity

Declaration :

- Uml : static, + constDecl(in multiplicity : str) : string
- C++ : public: static const QCString & constDecl(const char * multiplicity)
- Java : public static String constDecl(String multiplicity)

Operation set_ConstDecl

set the default definition of a constant attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ConstDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ConstDecl(const char * multiplicity, QCString v)
- Java : public static void set_ConstDecl(String multiplicity, String v) throws RuntimeException

Operation relationDecl

returns the default definition of a relation depending on the
multiplicity given in argument.

Declaration :

- Uml : static, + relationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(const char * multiplicity)
- Java : public static String relationDecl(String multiplicity)

Operation set_RelationDecl

set the default definition of a relation depending on the
multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_RelationDecl(String multiplicity, String v) throws RuntimeException

Operation valuetypeRelationDecl

returns the default definition of a relation in a valuetype
depending on the multiplicity given in argument.

Declaration :

- Uml : static, + valuetypeRelationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & valuetypeRelationDecl(const char * multiplicity)
- Java : public static String valuetypeRelationDecl(String multiplicity)

Operation set_ValuetypeRelationDecl

set the default definition of a relation in a valuetype
depending on the multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ValuetypeRelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeRelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_ValuetypeRelationDecl(String multiplicity, String v) throws RuntimeException

Operation unionRelationDecl

returns the default definition of a relation in an union
depending on the multiplicity given in argument.

Declaration :

- Uml : static, + unionRelationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & unionRelationDecl(const char * multiplicity)
- Java : public static String unionRelationDecl(String multiplicity)

Operation set_UnionRelationDecl

set the default definition of a relation in an union
depending on the multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UnionRelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionRelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_UnionRelationDecl(String multiplicity, String v) throws RuntimeException

Operation operationDecl

returns the default declaration of an operation

Declaration :

- Uml : static, + operationDecl() : string
- C++ : public: static const QCString & operationDecl()
- Java : public static String operationDecl()

Operation set_OperationDecl

set the default declaration of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDecl(QCString v)
- Java : public static void set_OperationDecl(String v) throws RuntimeException

Operation getName

returns the default name of a 'get' operation generated through
the attribute and relation 'add get operation' menu

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

Operation set_GetName

set the default name of a 'get' operation generated through
the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

Operation setName

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

Operation set_SetName

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

Operation isSetOneway

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is oneway by default

Declaration :

- Uml : static, + isSetOneway() : bool
- C++ : public: static bool isSetOneway()
- Java : public static boolean isSetOneway()

Operation set_IsSetOneway

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is oneway by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsSetOneway(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetOneway(bool v)
- Java : public static void set_IsSetOneway(boolean v) throws RuntimeException

Operation IdlSettings

never called !

Declaration :

- Uml : - IdlSettings() :
- C++ : private: IdlSettings()
- Java : private IdlSettings()

Attribute _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribute _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribute _interface_decl

Declaration :

- Uml : static, - _interface_decl : string
- C++ : private: static QCString _interface_decl
- Java : private static String _interface_decl

Attribute _valuetype_decl

Declaration :

- Uml : static, - _valuetype_decl : string
- C++ : private: static QCString _valuetype_decl
- Java : private static String _valuetype_decl

Attribute _struct_decl

Declaration :

- Uml : static, - _struct_decl : string
- C++ : private: static QCString _struct_decl
- Java : private static String _struct_decl

Attribute _typedef_decl

Declaration :

- Uml : static, - _typedef_decl : string
- C++ : private: static QCString _typedef_decl
- Java : private static String _typedef_decl

Attribute _exception_decl

Declaration :

- Uml : static, - _exception_decl : string
- C++ : private: static QCString _exception_decl
- Java : private static String _exception_decl

Attribute _union_decl

Declaration :

- Uml : static, - _union_decl : string
- C++ : private: static QCString _union_decl
- Java : private static String _union_decl

Attribute _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribute _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribute _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[3/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribute _valuetype_attr_decl

Declaration :

- Uml : static, - _valuetype_attr_decl : string
- C++ : private: static QCString _valuetype_attr_decl[3/*multiplicity*/]
- Java : private static String _valuetype_attr_decl[/*multiplicity*/]

Attribute _union_item_decl

Declaration :

- Uml : static, - _union_item_decl : string
- C++ : private: static QCString _union_item_decl[3/*multiplicity*/]
- Java : private static String _union_item_decl[/*multiplicity*/]

Attribute _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribute _const_decl

Declaration :

- Uml : static, - _const_decl : string
- C++ : private: static QCString _const_decl[3/*multiplicity*/]
- Java : private static String _const_decl[/*multiplicity*/]

Attribute _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[3/*multiplicity*/]
- Java : private static String[] _rel_decl

Attribute _valuetype_rel_decl

Declaration :

- Uml : static, - _valuetype_rel_decl : string
- C++ : private: static QCString _valuetype_rel_decl[3/*multiplicity*/]
- Java : private static String[] _valuetype_rel_decl

Attribute _union_rel_decl

Declaration :

- Uml : static, - _union_rel_decl : string
- C++ : private: static QCString _union_rel_decl[3/*multiplicity*/]
- Java : private static String[] _union_rel_decl

Attribute _oper_decl

Declaration :

- Uml : static, - _oper_decl : string
- C++ : private: static QCString _oper_decl
- Java : private static String _oper_decl

Attribute _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribute _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribute _is_set_oneway

Declaration :

- Uml : static, - _is_set_oneway : bool
- C++ : private: static bool _is_set_oneway
- Java : private static boolean _is_set_oneway

Attribute _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribute _ext

Declaration :

- Uml : static, - _ext : string
- C++ : private: static QCString _ext
- Java : private static String _ext

Attribute _map_includes

Declaration :

- Uml : static, - _map_includes : string
- C++ : private: static QDict<QCString> _map_includes
- Java : private static Hashtable _map_includes

Operation read_

internal, do NOT use it

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

Operation read_if_needed_

internal, do NOT use it

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

All public operations : artifactDescription , attributeDecl , attributeDescription , classDescription , classStereotype , classUmlStereotype , constDecl , enumDecl , enumItemDecl , exceptionDecl , externalClassDecl , getName , include , interfaceDecl , isSetOneway , operationDecl , operationDescription , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDescription , set_ClassStereotype , set_ConstDecl , set_EnumDecl , set_EnumItemDecl , set_ExceptionDecl , set_ExternalClassDecl , set_GetName , set_Include , set_InterfaceDecl , set_IsSetOneway , set_OperationDecl , set_OperationDescription , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_RootDir , set_SetName , set_SourceContent , set_SourceExtension , set_StructDecl , set_Type , set_TypedefDecl , set_UmlGetName , set_UmlSetName , set_UnionDecl , set_UnionItemDecl , set_UnionRelationDecl , set_UseDefaults , set_ValuetypeAttributeDecl , set_ValuetypeDecl , set_ValuetypeRelationDecl , setName , sourceContent , sourceExtension , structDecl , type , typedefDecl , umlGetName , umlSetName , umlType , unionDecl , unionItemDecl , unionRelationDecl , useDefaults , valuetypeAttributeDecl , valuetypeDecl , valuetypeRelationDecl